%define major	0
%define gmajor	1.0
%define libname	%mklibname sugarrunner %{major}
%define girname	%mklibname sugarrunner-gir %{gmajor}
%define devname	%mklibname sugarrunner -d

Name:          sugar-runner
Version:       0.110.0
Release:       %mkrel 2
Summary:       Sugar runner emulator for development
Group:         Graphical desktop/Other
License:       GPLv2+
URL:           http://sugarlabs.org/
Source0:       http://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xrandr)
Requires: sugar
Requires: x11-server-xephyr

Obsoletes: sugar-emulator

%description
sugar-runner allows to run sugar without using a display manager as usually
required by X desktops. You can run it either from a text console
or from inside another X session. By default it runs fullscreen but when inside
X you can specify the window size using the --resolution option.

%package -n %{devname}
Summary: Development package for %{name}
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel < 0.102.0-5

%description -n %{devname}
Files for development with %{name}.

%package -n %{libname}
Summary: Shared libraries for %{name}
Group: System/Libraries
Conflicts: %{name} < 0.102.0-5

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{girname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Conflicts: %{name} < 0.102.0-5

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

# Fix desktop file
sed -i 's/Teaching/X-Teaching/' data/sugar-runner.desktop

%build
%configure
%make_build

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc README.md
%{_bindir}/sugar-runner
%{_libexecdir}/sugar-runner/
%{_datadir}/applications/sugar-runner.desktop
%{_datadir}/icons/hicolor/scalable/apps/sugar-xo.svg

%files -n %{libname}
%{_libdir}/libsugarrunner.so.%{major}
%{_libdir}/libsugarrunner.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/SugarRunner-%{gmajor}.typelib

%files -n %{devname}
%{_libdir}/libsugarrunner.so
%{_datadir}/gir-1.0/SugarRunner-%{gmajor}.gir


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.110.0-2.mga8
+ Revision: 1524104
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Mar 26 2019 zezinho <zezinho> 0.110.0-1.mga7
+ Revision: 1380397
- new version 0.110.0

* Sun Sep 23 2018 umeabot <umeabot> 0.108.1-2.mga7
+ Revision: 1301232
- Mageia 7 Mass Rebuild

* Sun May 08 2016 zezinho <zezinho> 0.108.1-1.mga6
+ Revision: 1010543
- new version

* Mon Jan 25 2016 zezinho <zezinho> 0.107.2-1.mga6
+ Revision: 927609
- new version

* Mon Jan 18 2016 zezinho <zezinho> 0.107.1-1.mga6
+ Revision: 925307
- new version 0.107.1

* Wed Dec 23 2015 zezinho <zezinho> 0.107.0-1.mga6
+ Revision: 913892
- new version

* Thu Sep 10 2015 zezinho <zezinho> 0.106.0-1.mga6
+ Revision: 875738
- new version

* Mon Jul 06 2015 wally <wally> 0.102.0-5.mga6
+ Revision: 852139
- libify pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.102.0-4.mga5
+ Revision: 740058
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.102.0-3.mga5
+ Revision: 724959
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.102.0-2.mga5
+ Revision: 689599
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 zezinho <zezinho> 0.102.0-1.mga5
+ Revision: 660279
- new version

* Fri May 30 2014 zezinho <zezinho> 0.101.2-2.mga5
+ Revision: 628007
- fix requires

* Fri May 30 2014 zezinho <zezinho> 0.101.2-1.mga5
+ Revision: 627972
- fix rpm group
- fix build against automake 1.14
- imported package sugar-runner


* Sat Feb 15 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.101.2-1
- 0.101.2 devel release

* Sun Dec  8 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.101.1-1
- 0.101.1 devel release

* Wed Nov 27 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.100.1-2
- Add Requires on xorg-x11-server-Xephyr

* Fri Nov 22 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.100.1-1
- Sugar 0.100.1 stable release

* Fri Nov  1 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.100.0-1
- Sugar 0.100.0 stable release

* Mon Sep  2 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.99.3-2
- Initial review updates

* Thu Aug 15 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.99.3-1
- Initial Packaging
